/**
(C) Copyright 2011 Andreas Ziegelwanger

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as
published by the Free Software Foundation; either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this program. If not, see
<http://www.gnu.org/licenses/>.
*/
#include "bot.hh"

#include <iostream>
#include <sstream>

int main( int argc, char* argv[] )
{
    int wert = 0;
    bool ende = true;
    std::string message;
    
    Bot b;
    
    do{
        getline(std::cin, message);
        
        if(message.compare(0,6, "RUNDEN")==0){
            std::istringstream in(message.substr(6, std::string::npos));
            in >> wert;
            b.setRunden(wert);
        }
        else if(message.compare(0,5, "RUNDE") == 0){
            // Aktuelle Runde.
            std::istringstream in( message.substr( 5, std::string::npos ) );
            in >> wert;
            b.setRunde(wert);
        }
        else if ( message.compare("START") == 0 )
        {
            std::cout << b.calculateOfferedPoints() << std::endl;
        }
        else if ( message.compare("ENDE") == 0 )
        {
            ende = false;
        }
        else if ( message.compare(0, 7, "ANGEBOT") == 0 )
        {
            int wert;
            std::istringstream in( message.substr( 7, std::string::npos ) );
            in >> wert;
            if(b.acceptOrDeclineOffer(wert))
                std::cout << "JA" << std::endl;
            else
                std::cout << "NEIN" << std::endl;
        }
        else if ( message.compare(0, 6, "PUNKTE") == 0 )
        {
            std::istringstream in( message.substr( 6, std::string::npos ) );
            in >> wert;
            b.setPunkte(wert);
        }
    }while(ende);

    return 0;
}
